Subject: bug#19865: tar-untar-buffer: should honor default-directory

From: Stefan Monnier <[email-masked]>
Date: Sat, 14 Feb 2015 09:49:50 -0500

> 	As currently implemented (tested on 7eb2077f9dd1, 2015-02-06
> 	15:01:12 UTC), tar-untar-buffer uses the default-directory value
> 	for the “data” buffer (see tar-data-buffer), instead of the
> 	(arguably much less obscure) one for the tar-mode buffer itself
> 	(which could easily be changed by the user via M-x cd.)

I agre with Eli that it's a somewhat obscure corner case, but as someone
who does `M-x cd' fairly often for similar purposes, I think the patch
is right.

        Stefan